def lunan(al, bs):

    n = max(len(al), len(bs))
    al = '0' * (n - len(al)) + al
    bs = '0' * (n - len(bs)) + bs

    # Применяем операцию max к каждой паре цифр
    result = ''.join(str(max(int(a_d), int(b_d)))
                     for a_d, b_d in zip(al, bs))

    return result


def lunar_mu(al, bs):
    # Приводим числа к одинаковой длине, добавляя лидирующие нули
    n = max(len(al), len(bs))
    al = '0' * (n - len(al)) + al
    bs = '0' * (n - len(bs)) + bs

    # Инициализируем список для хранения промежуточных результатов
    partial_results = []

    # Выполняем умножение в столбик
    for i in range(len(bs)):
        # Рассчитываем очередной частичный результат
        current_partial_result = [min(int(al[j]), int(bs[len(bs) - 1 - i]))
                                  for j in range(len(al))]
        # Добавляем необходимые нули справа
        current_partial_result.extend(['0'] * i)
        # Преобразуем элементы списка в строки и сохраняем результат
        partial_results.append(''.join(map(str, current_partial_result)))

    # Начинаем суммировать частичные результаты с применением операции max
    result = '0'
    for partial_result in partial_results:
        result = lunar_addition(result, partial_result)

    return result


# Чтение входных данных
a = input().strip()
b = input().strip()

# Вычисление суммы и произведения
lunar_sum = lunar(a, b)
lunar_product = lunar_mu(a, b).lstrip('0')

# Вывод результата
print(f"{lunar_sum} {lunar_product}")